body {
    font-family: "JetBrains Mono";
    font-size: 19px;
    margin: 0;
    background-color: #08031a;
    background-size: 200px;
    background-image: var(--body-bg-image);
    color: var(--mainTextcolor);
    overflow-y: hidden;
}

#mainbox {
    height: 558px;
    overflow: scroll;
}

#tabbox {
    height: 295px;
}

a {
    cursor:
        url("https://ani.cursors-4u.net/nature/nat-11/nat1047.cur"), pointer;
}

* {
    cursor: url(https://cur.cursors-4u.net/others/oth-8/oth711.cur), auto;
}

* {
    box-sizing: border-box;
}

#container {
    max-width: 900px;
    margin: 0 auto;
    overflow: scroll;
}

#container a {
    color: var(--linkColor);
    font-weight: bold;
    font-style: normal;
    text-decoration: none;
}

#container a:hover {
    color: var(--navbarLinkhover);
    text-shadow: var(--borderMaincolor) 4px 4px 8px;
    font-weight: bold;
    font-style: italic;
}

a[target="_"]::after {
    content: url(/assets/general/icons/outlink2.png);
    filter: var(--outlinkColor);
    padding-left: 3px;
    vertical-align: top;
}
a[target="_blank"]::after {
    content: url(/assets/general/icons/outlink2.png);
    filter: var(--outlinkColor);
    padding-left: 3px;
    vertical-align: top;
}
.fanlisting[target="_blank"]::after {
    content: url() !important;
}

.fanlisting img {
    height: 50px !important;
    width: 50px !important;
    max-width: 100% !important;
    margin: 0px !important;
}
.fanlisting img:hover {
    border: 0px solid var(--borderColor) !important;
}

h1,
h2,
h3,
h4 {
    color: var(--headerColor);
    text-shadow: var(--borderMaincolor) 2px 2px 5px;
    border-bottom: 1px solid;
}

strong,
b {
    text-shadow: var(--borderMaincolor) 4px 4px 8px;
    color: var(--strongText);
}

#gpoyflex {
    height: 400px;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-content: center;
    column-count: 5;
}

#gpoyflex img {
    width: 100px;
    border: 1.5px solid var(--borderColor);
    margin: 2px;
}

#gpoyflex img:hover {
    border: 1.5px solid var(--borderMaincolor);
}

#header {
    width: 100%;
    height: 50px;
}

#flex {
    display: flex;
}

aside {
    width: 200px;
    padding: 20px;
    font-size: smaller;
}

.favorite {
    border: 3px solid var(--borderMaincolor);
}

main {
    background-color: var(--mainBGcolor);
    border: 5px solid var(--borderMaincolor);
    border-radius: 4px;
    flex: 1;
    padding: 20px;
    order: 2;
}

#aboutimage {
    position: relative;
    display: flex;
    height: 150px;
    width: 150px;
    border: 5px solid var(--borderColor);
}

#aboutimage:hover {
    border: 5px solid var(--borderMaincolor);
}

.zoom {
    transition: transform 0.5s ease;
}

.zoom:hover {
    transform: scale(2);
}

#aboutflex {
    display: flex;
    columns: 2;
}

#tinybuttonflex {
    display: flex;
    flex-wrap: wrap;
    padding-top: 10px;
    justify-content: center;
}

.dotboxflex {
    display: flex;
    gap: 60px;
    flex-wrap: wrap;
    justify-content: center;
}

.dottedbox {
    border: 4px dotted var(--borderColor);
    padding: 10px;
    border-radius: 4px;
    overflow: auto;
    width: 300px;
    height: 200px;
    font-size: smaller;
}

.longdotbox {
    border: 4px dotted var(--borderColor);
    padding: 10px;
    border-radius: 4px;
    font-size: smaller;
    width: 590px;
    margin-bottom: 25px;
}
.longflex {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}
.longflex img {
    max-width: 15%;
    min-width: 0;
    margin: 4px;
    height: auto;
}
.longflex img:hover {
    border: 3px solid var(--borderColor);
}
.otherimg img {
    max-width: 40%;
    min-width: 0;
    margin: 4px;
    height: auto;
}
.otherimg {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}
ul.likes {
    list-style-image: url("/assets/about/icons/like.gif");
    list-style-type: square;
    font-weight: bold;
}

ul.dislikes {
    list-style-image: url("/assets/about/icons/dislike.gif");
    list-style-type: square;
    font-weight: bold;
}

#facts li::marker {
    content: "➢ ";
    color: var(--mainTextcolor);
}

#setup li::marker {
    content: " ";
}

.tab {
    overflow: hidden;
    border: 1px solid var(--borderMaincolor);
    background-color: var(--mainBGcolor);
}

.tabwrap section.default {
    display: block;
}
.tabwrap section {
    display: none;
}
.tabwrap section:target {
    display: block;
}
.tabwrap section:target ~ section.default {
    display: none;
}

.themeswitch {
    background-color: var(--mainBGcolor);
    color: var(--mainTextcolor);
    border: 1px solid var(--borderColor);
    border-radius: 4px;
    width: 60px;
    height: 30px;
}

.themeswitch:hover {
    background-color: var(--navbarBGcolor);
    cursor:
        url("https://ani.cursors-4u.net/nature/nat-11/nat1047.cur"), pointer;
}

.tab {
    background-color: inherit;
    border: none;
    font-family: "Aero Matics";
    font-weight: bold;
    font-size: 15px;
    outline: none;
    cursor: pointer;
    padding: 20px;
    transition: 0.3s;
    color: var(--mainTextcolor);
}

/* Change background color of buttons on hover */
.tab:hover {
    background-color: var(--navbarLink);
    cursor:
        url("https://ani.cursors-4u.net/nature/nat-11/nat1047.cur"), pointer;
}

::selection {
    background: var(--bgSelection);
    text-shadow: 2px 2px 5px black;
}

#s-m-t-tooltip {
    /* basic */
    max-width: 300px;
    z-index: 10;
    margin: 24px 14px 7px 12px;
    /* style and design */
    padding: 8px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    background: var(--borderMaincolor);
    color: var(--mainTextcolor);
}

#textimage {
    padding-left: 20px;
}

hr {
    margin-top: 27px;
    border-top: 3px solid var(--borderColor);
}

#leftSidebar {
    order: 1;
}

#rightSidebar {
    order: 3;
}

footer {
    width: 100%;
    height: 40px;
    padding: 10px;
    text-align: center;
}

/* CSS for extras */

#topBar {
    width: 100%;
    height: 30px;
    padding: 10px;
    font-size: smaller;
}

/* BELOW THIS POINT IS MEDIA QUERY */

/* so you wanna change the width of your page?
    by default, the container width is 900px.
    in order to keep things responsive, take your new height,
    and then subtrack it by 100. use this new number as the
    "max-width" value below
    */

@media only screen and (max-width: 800px) {
    #flex {
        flex-wrap: wrap;
    }

    aside {
        width: 100%;
    }

    /* the order of the items is adjusted here for responsiveness!
      since the sidebars would be too small on a mobile device.
      feel free to play around with the order!
      */
    main {
        order: 1;
    }

    #leftSidebar {
        order: 2;
    }

    #rightSidebar {
        order: 3;
    }

    #navbar ul {
        flex-wrap: wrap;
    }
    #header {
        display: none;
    }
}
